--- title: "REST API call to retrieve and decrypt referenced DLP evidence file" slug: "rest-api-call-to-retrieve-and-decrypt-referenced-dlp-evidence-file-2" tags: ["Product Usage", "DLP 11.13.x"] updated: 2026-11-05T14:30:37Z published: 2026-11-05T14:30:37Z canonical: "docs.trellix.com/rest-api-call-to-retrieve-and-decrypt-referenced-dlp-evidence-file-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # REST API call to retrieve and decrypt referenced DLP evidence file Use this REST API call to retrieve and decrypt the referenced Trellix Data Loss Prevention evidence file. ### POST request URL `https://<epo_server_name:port>rest/dlp/event/evidence/get?fileLocation={fileLocation}` Where, `epo_server_name` port is the server IP address and port number. ### Request Parameters | Parameter name | Description | Required | Values | | --- | --- | --- | --- | | **Authorization** | User credentials for ePO - On-prem. | Required | | | **fileLocation** | fileLocation is the network share path of the file along with the filename from where evidence files can be retrieved. Encode all network share paths prior to input. All special characters—including backslashes—must be replaced with their standard URL-encoded equivalents (example, replace \ with %5C, and { and } with %7B and %7D). You can use third-party encoding tools to encode the URL. Unsanitized backslashes (\) in URL network share paths can expose the application to path traversal or injection vulnerabilities. | Required | String | **Sample POST request URL** ```plaintext https://xx.xxx.xx.xxx:8443/rest/dlp/event/evidence/get?fileLocation=%5C%5C10.213.67.173%5Ccifs_share%5Ca3%5C4a%5C%7Bd5a34a03-cb94-403f-b87e-fa1b7fccf3d8%7D.xml.dlpenc ``` **Sample cURL command** ```plaintext curl --location --request POST 'https://xx.xxx.xx.xxx:8443/rest/dlp/event/evidence/get' \ --header 'Authorization: Basic ' \ --data-urlencode 'fileLocation=\\xx.xxx.xx.xxx\cifs_share\a3\4a\{d5a34a03-cb94-403f-b87e-fa1b7fccf3d8}.xml.dlpenc' ``` ### Sample response ```plaintext The response will return Decrypted DLP Evidence file which can be downloaded. ``` ### Status and error codes List of HTTP status codes returned for the query. | Code | Description | | --- | --- | | **200 OK** | The response returns decrypted Trellix Data Loss Prevention evidence file which can be downloaded. | | **400 Bad Request** | Returns a bad request if fileLocation is missing or empty. | | **404 Not Found** | Incorrect ePO - On-prem URL. | | **500 Internal Server Error** | An error on the server side that failed the request. See the ePO - On-prem `orion.log` file for more details about the error. |